@import "mixins";

/**
 * * Development settings scss
**/

// BEGIN: Настройка цвета сайта
$colorPrimary: #8d7eff;
$colorSuccess: #17c964;
$colorDanger: #f2135d;
$colorWarning: #ff8200;
$colorLight: #ffffff;
$colorGray: #898e93;
$colorDark: #000000;
// END: Настройка цвета сайта

// BEGIN: Настройка шрифтов
$fontSize: rem(14);
$fontFamily: "";
// END: Настройка шрифтов

// BEGIN: Настройка ширины экрана
$minWidth: 320; // Минимальная ширина страницы
$maxWidth: 1920; // Ширина полотна (макета)
$maxWidthContainer: 1170; // Ширина ограничивающего контейнера (0 = нет ограничения)
$containerPadding: 30; // Общий отступ у контейнера (30 = по 15px слева и справа, 0 = нет отступа)
$containerWidth: $maxWidthContainer + $containerPadding; // Ширина срабатывания первого брейкпоинта
// END: Настройка ширины экрана

// BEGIN: Настройка breakpoints
$pc: em(
  $containerWidth
); // Пк, ноутбуки и некоторые планшеты в горизонтальном положении
$tablet: em(991.98); // Планшеты, некоторые телефоны в горизонтальном положении
$mobile: em(767.98); // Телефоны L
$mobileSmall: em(479.98); // Телефоны S
// END: Настройка breakpoints

// Тип адаптива:
// 1 = Отзывчивость (у контейнера нет брейкпоинтов),
// 2 = По брейк-поинтам (контейнер меняет свою ширину по брейк-поинтам)
$responsiveType: 1;
